   incl inc:module.asm
   module clib1

* This is a dummy version - parameters are not passed across to IMP bit

   aliasexport csignal,external,c_signal
   aliasexport cprintstring,external,c_printstring
   aliasexport cbrk,external,c_brk
   aliasexport cexecl,external,c_execl
   aliasexport cexecv,external,c_execv
   aliasexport cexecle,external,c_execle
   aliasexport cfork,external,c_fork
   aliasexport cgetuid,external,c_getuid
   aliasexport cgeteuid,external,c_geteuid
   aliasexport cgetgid,external,c_getgid
   aliasexport cgetegid,external,c_getegid
   aliasexport cgetpid,external,c_getpid
   aliasexport ckill,external,c_kill
   aliasexport clink,external,c_link
   aliasexport cnice,external,c_nice
   aliasexport cpipe,external,c_pipe
   aliasexport cprofil,external,c_profil
   aliasexport csetuid,external,c_setuid
   aliasexport csetgid,external,c_setgid
   aliasexport cumask,external,c_umask
   aliasexport cwait,external,c_wait
   aliasexport caccess,external,c_access
   aliasexport cchdir,external,c_chdir
   aliasexport cchmod,external,c_chmod
   aliasexport ctime,external,c_time
   aliasexport cftime,external,c_ftime
   aliasexport ctimes,external,c_times
   aliasexport cunlink,external,c_unlink
   aliasexport cgetwd,external,c_getwd
   aliasexport csbrk,external,c_sbrk
   aliasexport cstart,external,c__start
   aliasexport copen,external,c_open
   aliasexport cclose,external,c_close
   aliasexport cuclose,external,c_uclose
   aliasexport cioctl,external,c_ioctl
   aliasexport ccreat,external,c_creat
   aliasexport clseek,external,c_lseek
   aliasexport cread,external,c_read
   aliasexport cwrite,external,c_write
   aliasexport cexit,external,c__exit
   aliasexport cfree,external,c_free
   import signal,external
   import ps,external
   import exit,external
   import free,external
   import brk,external
   import execl,external
   import execv,external
   import execle,external
   import fork,external
   import getuid,external
   import geteuid,external
   import getgid,external
   import getegid,external
   import getpid,external
   import kill,external
   import link,external
   import nice,external
   import pipe,external
   import profil,external
   import setuid,external
   import setgid,external
   import umask,external
   import wait,external
   import access,external
   import chdir,external
   import chmod,external
   import time,external
   import ftime,external
   import times,external
   import unlink,external
   import getwd,external
   import sbrk,external
   import start,external
   import openc,external
   import closec,external
   import uclosec,external
   import ioctl,external
   import creat,external
   import lseek,external
   import readc,external
   import writec,external
   code

reset copydata
   rts
begin rts

cfree movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call free
   movem.l (sp)+,a2-a3/d2-d3
   rts

cexit movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call exit
   movem.l (sp)+,a2-a3/d2-d3
   rts

cbrk   movem.l a2-a3/d2-d3,-(sp)
   call brk
   movem.l (sp)+,a2-a3/d2-d3
   rts

cexecl movem.l a2-a3/d2-d3,-(sp)
   call execl
   movem.l (sp)+,a2-a3/d2-d3
   rts

cexecv movem.l a2-a3/d2-d3,-(sp)
   call execv
   movem.l (sp)+,a2-a3/d2-d3
   rts

cexecle movem.l a2-a3/d2-d3,-(sp)
   call execle
   movem.l (sp)+,a2-a3/d2-d3
   rts

cfork movem.l a2-a3/d2-d3,-(sp)
   call fork
   movem.l (sp)+,a2-a3/d2-d3
   rts

cgetuid movem.l a2-a3/d2-d3,-(sp)
   call getuid
   movem.l (sp)+,a2-a3/d2-d3
   rts

cgeteuid movem.l a2-a3/d2-d3,-(sp)
   call geteuid
   movem.l (sp)+,a2-a3/d2-d3
   rts

cgetgid movem.l a2-a3/d2-d3,-(sp)
   call getgid
   movem.l (sp)+,a2-a3/d2-d3
   rts

cgetegid movem.l a2-a3/d2-d3,-(sp)
   call getegid
   movem.l (sp)+,a2-a3/d2-d3
   rts

cgetpid movem.l a2-a3/d2-d3,-(sp)
   call getpid
   movem.l (sp)+,a2-a3/d2-d3
   rts

ckill movem.l a2-a3/d2-d3,-(sp)
   call kill
   movem.l (sp)+,a2-a3/d2-d3
   rts

clink movem.l a2-a3/d2-d3,-(sp)
   call link
   movem.l (sp)+,a2-a3/d2-d3
   rts

cnice movem.l a2-a3/d2-d3,-(sp)
   call nice
   movem.l (sp)+,a2-a3/d2-d3
   rts

cpipe movem.l a2-a3/d2-d3,-(sp)
   call pipe
   movem.l (sp)+,a2-a3/d2-d3
   rts

cprofil movem.l a2-a3/d2-d3,-(sp)
   call profil
   movem.l (sp)+,a2-a3/d2-d3
   rts

csetuid movem.l a2-a3/d2-d3,-(sp)
   call setuid
   movem.l (sp)+,a2-a3/d2-d3
   rts

csetgid movem.l a2-a3/d2-d3,-(sp)
   call setgid
   movem.l (sp)+,a2-a3/d2-d3
   rts

cumask movem.l a2-a3/d2-d3,-(sp)
   call umask
   movem.l (sp)+,a2-a3/d2-d3
   rts

cwait movem.l a2-a3/d2-d3,-(sp)
   call wait
   movem.l (sp)+,a2-a3/d2-d3
   rts

caccess   movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   move.l 24(sp),d1
   call access
   movem.l (sp)+,a2-a3/d2-d3
   rts

cchdir movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call chdir
   movem.l (sp)+,a2-a3/d2-d3
   rts

cchmod movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   move.l 24(sp),d1
   call chmod
   movem.l (sp)+,a2-a3/d2-d3
   rts

ctime movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call time
   movem.l (sp)+,a2-a3/d2-d3
   rts

cftime movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call ftime
   movem.l (sp)+,a2-a3/d2-d3
   rts

ctimes movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call times
   movem.l (sp)+,a2-a3/d2-d3
   rts

cunlink movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call unlink
   movem.l (sp)+,a2-a3/d2-d3
   rts

cgetwd movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call getwd
   movem.l (sp)+,a2-a3/d2-d3
   rts

csbrk movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call sbrk
   movem.l (sp)+,a2-a3/d2-d3
   rts

cstart   movem.l a2-a3/d2-d3,-(sp)
   call start
   movem.l (sp)+,a2-a3/d2-d3
   rts

copen    movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   move.l 24(sp),d1
   call openc
   movem.l (sp)+,a2-a3/d2-d3
   rts

cclose   movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call closec
   movem.l (sp)+,a2-a3/d2-d3
   rts

cuclose movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call uclosec
   movem.l (sp)+,a2-a3/d2-d3
   rts

cioctl movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   move.l 24(sp),d1
   move.l 28(sp),d2
   call ioctl
   movem.l (sp)+,a2-a3/d2-d3
   rts

ccreat movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   move.l 24(sp),d1
   call creat
   movem.l (sp)+,a2-a3/d2-d3
   rts

clseek movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   move.l 24(sp),d1
   move.l 28(sp),d2
   call lseek
   movem.l (sp)+,a2-a3/d2-d3
   rts

cread movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   move.l 24(sp),d1
   move.l 28(sp),d2
   call readc
   movem.l (sp)+,a2-a3/d2-d3
   rts

cwrite movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   move.l 24(sp),d1
   move.l 28(sp),d2
   call writec
   movem.l (sp)+,a2-a3/d2-d3
   rts

cprintstring movem.l a2-a3/d2-d3,-(sp)
   move.l 20(sp),d0
   call ps
   movem.l (sp)+,a2-a3/d2-d3
   rts

csignal movem.l a2-a3/d2-d3,-(sp)
   call signal
   movem.l (sp)+,a2-a3/d2-d3
   rts

   data
brk vector external
execl vector external
execv vector external
execle vector external
fork vector external
getuid vector external
geteuid vector external
getgid vector external
getegid vector external
getpid vector external
kill vector external
link vector external
nice vector external
pipe vector external
profil vector external
setuid vector external
setgid vector external
umask vector external
wait vector external
access vector external
chdir vector external
chmod vector external
time vector external
ftime vector external
times vector external
unlink vector external
getwd vector external
sbrk vector external
start vector external
openc vector external
closec vector external
uclosec vector external
ioctl vector external
creat vector external
lseek vector external
readc vector external
writec vector external
free vector external
exit vector external
ps vector external
signal vector external
   endmodule

   end
